net.minecraft.client.model

## Class ModelWolf

- java.lang.Object
- - net.minecraft.client.model.ModelBase
  - - net.minecraft.client.model.ModelWolf

-     public class ModelWolf
      extends ModelBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ModelRenderer` | `wolfBody` The wolf's body
    `ModelRenderer` | `wolfHeadMain` main box for the wolf head
    `ModelRenderer` | `wolfLeg1` Wolf'se first leg
    `ModelRenderer` | `wolfLeg2` Wolf's second leg
    `ModelRenderer` | `wolfLeg3` Wolf's third leg
    `ModelRenderer` | `wolfLeg4` Wolf's fourth leg

    - ### Fields inherited from class net.minecraft.client.model.ModelBase

      `boxList, isChild, isRiding, onGround, textureHeight, textureWidth`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelWolf()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `render(Entity par1Entity, float par2, float par3, float par4, float par5, float par6, float par7)` Sets the models various rotation angles then renders the model.
    `void` | `setLivingAnimations(EntityLivingBase par1EntityLivingBase, float par2, float par3, float par4)` Used for easily adding entity-dependent animations.
    `void` | `setRotationAngles(float par1, float par2, float par3, float par4, float par5, float par6, Entity par7Entity)` Sets the model's various rotation angles.

    - ### Methods inherited from class net.minecraft.client.model.ModelBase

      `getRandomModelBox, getTextureOffset`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wolfHeadMain

          public ModelRenderer wolfHeadMain

      main box for the wolf head

    - #### wolfBody

          public ModelRenderer wolfBody

      The wolf's body

    - #### wolfLeg1

          public ModelRenderer wolfLeg1

      Wolf'se first leg

    - #### wolfLeg2

          public ModelRenderer wolfLeg2

      Wolf's second leg

    - #### wolfLeg3

          public ModelRenderer wolfLeg3

      Wolf's third leg

    - #### wolfLeg4

          public ModelRenderer wolfLeg4

      Wolf's fourth leg

  - ### Constructor Detail

    - #### ModelWolf

          public ModelWolf()

  - ### Method Detail

    - #### render

          public void render(Entity par1Entity,
                    float par2,
                    float par3,
                    float par4,
                    float par5,
                    float par6,
                    float par7)

      Sets the models various rotation angles then renders the model.
      Overrides:
        `render` in class `ModelBase`

    - #### setLivingAnimations

          public void setLivingAnimations(EntityLivingBase par1EntityLivingBase,
                                 float par2,
                                 float par3,
                                 float par4)

      Used for easily adding entity-dependent animations. The second and third float params here are the same second and third as in the setRotationAngles method.
      Overrides:
        `setLivingAnimations` in class `ModelBase`

    - #### setRotationAngles

          public void setRotationAngles(float par1,
                               float par2,
                               float par3,
                               float par4,
                               float par5,
                               float par6,
                               Entity par7Entity)

      Sets the model's various rotation angles. For bipeds, par1 and par2 are used for animating the movement of arms and legs, where par1 represents the time(so that arms and legs swing back and forth) and par2 represents how "far" arms and legs can swing at most.
      Overrides:
        `setRotationAngles` in class `ModelBase`